Skip to main content
GET
Queries blockchain events with optional filters.

Query Parameters

event_type
string | null

Filter by blockchain event type.

start_time
integer<int64> | null

Unix timestamp lower bound for event time.

end_time
integer<int64> | null

Unix timestamp upper bound for event time.

incident_id
string | null

Filter events by associated incident ID.

drone_id
string | null

Filter events by drone ID.

Response

200 - application/json

List of blockchain events

event_id
string
required

Unique event identifier.

event_type
string
required

Event classification.

metadata
any
required

Arbitrary event metadata.

timestamp
integer<int64>
required

Unix timestamp when the event was recorded.

tx_hash
string
required

On-chain transaction hash.

block_height
integer<int64> | null

Block height at which the transaction was confirmed.

Required range: x >= 0
drone_id
string | null

Drone identifier associated with this event.

evidence_cid
string | null

IPFS CID of evidence linked to this event.

location
null | object

Geographic location associated with the event.